Bug 192240 - Lost PV after reboot
Lost PV after reboot
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lvm (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Milan Broz
Brian Brock
Depends On:
Blocks: 190430
  Show dependency treegraph
Reported: 2006-05-18 11:33 EDT by Jose Plans
Modified: 2013-02-28 23:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-03 06:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2006-05-18 11:33:17 EDT
This customer lost two PVs after performing a reboot on their system. It really
looks very similar to BZ#164014. This is using kernel 2.4.21-27.EL and LVM

It seems they didn't upgrade any package, nor change any binary files. The only
action they did perform was the addition of some cluster suite scripts [we still
don't know what they did/are].

Their pvscan -v output is :

root(sodmfg07):/tmp >pvscan -v
pvscan -- reading all physical volumes (this may take a while...)
pvscan -- walking through all physical volumes found
pvscan -- ACTIVE   PV "/dev/sda5" of VG "vg00"       [4.88 GB / 0 free]
pvscan -- inactive PV "/dev/sda7" is in no VG  [7.58 GB]
pvscan -- ACTIVE   PV "/dev/sda8" of VG "vg00"       [2.80 GB / 1.23 GB free]
pvscan -- ACTIVE   PV "/dev/sda9" of VG "vg01"       [23.25 GB / 256 MB free]
pvscan -- inactive PV "/dev/sdb4" of VG "vg-gpaosan" [66.81 GB / 5.81 GB free]
pvscan -- inactive PV "/dev/sdc4" of VG "vg-gpaosan" [66.81 GB / 5.81 GB free]
pvscan -- total: 6 [172.24 GB] / in use: 5 [164.66 GB] / in no VG: 1 [7.58 GB]

Their vgscan outputs :

root(sodmfg07):/tmp >vgscan
vgscan -- reading all physical volumes (this may take a while...)
vgscan -- found active volume group "vg00"
vgscan -- found active volume group "vg01"
vgscan -- found active volume group "vg-gpaosan"
vgscan -- "/etc/lvmtab" and "/etc/lvmtab.d" successfully created
vgscan -- WARNING: This program does not do a VGDA backup of your volume groups

We also tried to activate the PV by using pvchange -xy but without success:

root(sodmfg07):/tmp >pvchange -x y /dev/sdc4
pvchange -- unable to find volume group of "/dev/sdc4" (VG not active?)
pvchange -- 0 physical volumes changed / 0 physical volumes already o.k.

This VG vg-gpaosan was/is set on the PVs using /dev/sdb4 and /dev/sdc4 :

/dev/sdb4 scsi1 chan0 id0 lun0
/dev/sdc4 scsi2 chan0 id0 lun0

Which are in two different QLogic controllers. The Support Engineer requested
the first 1Mbyte of each device and both result :
       root(sodmfg07):/tmp > file -s /dev/sdb4
       /dev/sdb4: data
       root(sodmfg07):/tmp >file -d /dev/sdc4
       /dev/sdc4: block special (8/36)
Having both the same sha1sum output.

Shall we proceed like on the comment below ?

We do have all the etc/lvmconf/ etc/lvmtab etc/lvmtab.d/
Please let us know if you need additional informations or details.


Note You need to log in before you can comment on or make changes to this bug.